Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
[Java] Class ProjectReportTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.diagnostics.AbstractReportTask
              org.gradle.api.tasks.diagnostics.ProjectReportTask

    public class ProjectReportTask
    extends AbstractReportTask

Displays a list of projects in the build. An instance of this type is used when you execute the `projects` task from the command-line.

Method Summary
`protected void` | `generate(Project project)`
`protected TextReportRenderer` | `getRenderer()`

Methods inherited from class AbstractReportTask
generate, generate, getOutputFile, getProjects, getRenderer, setOutputFile, setProjects

Method Detail

### generate

    @Override
    protected void generate(Project project)

### getRenderer

    @Override
    protected TextReportRenderer getRenderer()

Gradle API 1.1-rc-1